Package com.pixelmed.network

# Class ProbeCapability.AETGenerator

java.lang.Object
com.pixelmed.network.ProbeCapability.AETGenerator

Enclosing class:
  ProbeCapability

protected class ProbeCapability.AETGenerator extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final String`
`hostname`
`protected final int`
`port`
`protected ProbeCapability.StringPermutationGenerator`
`upperCaseNumericUnderscorePermutationGenerator`
`protected boolean`
`usedAllUpperCaseNumericUnderscore`
`protected boolean`
`usedHostnameAsAllUpperCase`
`protected boolean`
`usedHostnameAsSupplied`

## Constructor Summary

Constructors
Constructor
Description
`AETGenerator(String hostname, int port)`

## Method Summary

Modifier and Type
Method
Description
`String`
`next()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### usedHostnameAsSupplied

protected boolean usedHostnameAsSupplied

### usedHostnameAsAllUpperCase

protected boolean usedHostnameAsAllUpperCase

### usedAllUpperCaseNumericUnderscore

protected boolean usedAllUpperCaseNumericUnderscore

### upperCaseNumericUnderscorePermutationGenerator

protected ProbeCapability.StringPermutationGenerator upperCaseNumericUnderscorePermutationGenerator

### hostname

protected final String hostname

### port

protected final int port

## Constructor Details

### AETGenerator

public AETGenerator(String hostname, int port)

## Method Details

### next

public String next()